3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception(); } catch (ErrorException $e) { echo 'exception'; } finally { echo 'finally'; }
Output for 7.0.0 - 7.1.0
finally Fatal error: Uncaught Exception in /in/OHWC5:3 Stack trace: #0 {main} thrown in /in/OHWC5 on line 3
Process exited with code 255.
Output for hhvm-3.10.0 - 3.12.0
finally Fatal error: Uncaught exception 'Exception' with message '' in /in/OHWC5:3 Stack trace: #0 {main}
Process exited with code 255.
Output for 5.5.0 - 5.6.28
finally Fatal error: Uncaught exception 'Exception' in /in/OHWC5:3 Stack trace: #0 {main} thrown in /in/OHWC5 on line 3
Process exited with code 255.
Output for 5.2.3 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/OHWC5 on line 10
Process exited with code 255.
Output for 5.1.0 - 5.2.2
<br /> <b>Parse error</b>: syntax error, unexpected '{' in <b>/in/OHWC5</b> on line <b>10</b><br />
Process exited with code 255.
Output for 5.0.0 - 5.0.5
<br /> <b>Parse error</b>: parse error, unexpected '{' in <b>/in/OHWC5</b> on line <b>10</b><br />
Process exited with code 255.
Output for 4.4.2 - 4.4.9
<br /> <b>Parse error</b>: syntax error, unexpected '{' in <b>/in/OHWC5</b> on line <b>2</b><br />
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
<br /> <b>Parse error</b>: parse error, unexpected '{' in <b>/in/OHWC5</b> on line <b>2</b><br />
Process exited with code 255.
Output for 4.3.2 - 4.3.4
<br /> <b>Parse error</b>: parse error in <b>/in/OHWC5</b> on line <b>2</b><br />
Process exited with code 255.